<html>
<head>
<title>Ogre::Terrain::DerivedDataResponse Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html">DerivedDataResponse</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Terrain::DerivedDataResponse Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Terrain::DerivedDataResponse" -->
<p>A data holder for communicating with the background derived data update.  
 <a href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>&gt;</code></p>

<p><a href="structOgre_1_1Terrain_1_1DerivedDataResponse-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#aa8d6dfd215d499896823a6279cb37928">terrain</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#ae47b1a81e0de479f34f0c48d315c0b1e">remainingTypeMask</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gae714035a753a8f484650598dc4143db8">Rect</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#a364544a6a9c0c3a17c2ee11f6518b4dd">deltaUpdateRect</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gae714035a753a8f484650598dc4143db8">Rect</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#a26f573c43021a442c89fbc3850a45d34">normalUpdateRect</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gae714035a753a8f484650598dc4143db8">Rect</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#a69fc735a122d3037bf10d9a897e379a1">lightmapUpdateRect</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#ae75d9cbcc311fd797178b17e553421f7">normalMapBox</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#a4d21ac16f65468550c6946f16f1de15b">lightMapBox</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgreTerrainPrerequisites_8h.html#a2fbe49b54cb4b3c3e2757cd3ac167068">_OgreTerrainExport</a> friend <br class="typebreak"/>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#a331febe763a7cdf5a376570c40294985">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html">DerivedDataResponse</a> &amp;r)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A data holder for communicating with the background derived data update. </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l01733">1733</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>
</div><hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a331febe763a7cdf5a376570c40294985"></a><!-- doxytag: member="Ogre::Terrain::DerivedDataResponse::operator&lt;&lt;" ref="a331febe763a7cdf5a376570c40294985" args="(std::ostream &amp;o, const DerivedDataResponse &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgreTerrainPrerequisites_8h.html#a2fbe49b54cb4b3c3e2757cd3ac167068">_OgreTerrainExport</a> friend std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html">DerivedDataResponse</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l01747">1747</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a364544a6a9c0c3a17c2ee11f6518b4dd"></a><!-- doxytag: member="Ogre::Terrain::DerivedDataResponse::deltaUpdateRect" ref="a364544a6a9c0c3a17c2ee11f6518b4dd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gae714035a753a8f484650598dc4143db8">Rect</a> <a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#a364544a6a9c0c3a17c2ee11f6518b4dd">Ogre::Terrain::DerivedDataResponse::deltaUpdateRect</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l01739">1739</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4d21ac16f65468550c6946f16f1de15b"></a><!-- doxytag: member="Ogre::Terrain::DerivedDataResponse::lightMapBox" ref="a4d21ac16f65468550c6946f16f1de15b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a>* <a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#a4d21ac16f65468550c6946f16f1de15b">Ogre::Terrain::DerivedDataResponse::lightMapBox</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l01746">1746</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a69fc735a122d3037bf10d9a897e379a1"></a><!-- doxytag: member="Ogre::Terrain::DerivedDataResponse::lightmapUpdateRect" ref="a69fc735a122d3037bf10d9a897e379a1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gae714035a753a8f484650598dc4143db8">Rect</a> <a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#a69fc735a122d3037bf10d9a897e379a1">Ogre::Terrain::DerivedDataResponse::lightmapUpdateRect</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l01743">1743</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae75d9cbcc311fd797178b17e553421f7"></a><!-- doxytag: member="Ogre::Terrain::DerivedDataResponse::normalMapBox" ref="ae75d9cbcc311fd797178b17e553421f7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a>* <a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#ae75d9cbcc311fd797178b17e553421f7">Ogre::Terrain::DerivedDataResponse::normalMapBox</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l01745">1745</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a26f573c43021a442c89fbc3850a45d34"></a><!-- doxytag: member="Ogre::Terrain::DerivedDataResponse::normalUpdateRect" ref="a26f573c43021a442c89fbc3850a45d34" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gae714035a753a8f484650598dc4143db8">Rect</a> <a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#a26f573c43021a442c89fbc3850a45d34">Ogre::Terrain::DerivedDataResponse::normalUpdateRect</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l01741">1741</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae47b1a81e0de479f34f0c48d315c0b1e"></a><!-- doxytag: member="Ogre::Terrain::DerivedDataResponse::remainingTypeMask" ref="ae47b1a81e0de479f34f0c48d315c0b1e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#ae47b1a81e0de479f34f0c48d315c0b1e">Ogre::Terrain::DerivedDataResponse::remainingTypeMask</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l01737">1737</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa8d6dfd215d499896823a6279cb37928"></a><!-- doxytag: member="Ogre::Terrain::DerivedDataResponse::terrain" ref="aa8d6dfd215d499896823a6279cb37928" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a>* <a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#aa8d6dfd215d499896823a6279cb37928">Ogre::Terrain::DerivedDataResponse::terrain</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l01735">1735</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
